<template>
  <PageLayout title="充值成功" class="rechargeResult-page-wrapper" hasBorder>
    <ContentScrollView>
      <ResultWithTips
        title="支付成功"
        :orderNo="orderNo"
        type="success"
        dangerTips="同一号码充值期间，未到账前切勿在其他任何平台再次充值。因此造成的资金损失须用户自行承担！！！"
        @go-back-home="goHome()"
      >
        <template #remark>
          <div class="result-content-remark-item">充值款将在0-24小时内到账</div>
        </template>
      </ResultWithTips>
    </ContentScrollView>
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import { goHome } from '@/utils';
import { ResultWithTips } from '@life-payment/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'rechargeResult',
});

const router = Taro.useRouter();
const orderNo = router.params?.orderNo ?? '';
</script>
